Will the Lightsail Bitnami+Wordpress blueprint support IPv6 only?

2

https://docs.aws.amazon.com/en_us/lightsail/latest/userguide/compare-options-choose-lightsail-instance-image.html

I can't convert my Lightsail instance from dual-stack to IPv6 only because I guess the blueprint doesn't support IPv6 only according to the docs. Will this ever change? I loveeee the simplicity of the blueprint and am loathe to migrate away but I want to avoid the IPv4 price increase too. I'm stuck between a rock and a hard place...

asked 4 months ago402 views
2 Answers
2

Hello.

As you know, I don't think WordPress blueprints support IPv6 only at this time.
I checked from the management console, and IPv6-only cannot be selected in the WordPress blueprint.
I think there is a possibility that it will be supported in the future, so I think we have no choice but to wait for it.
Alternatively, I think it would be a way to build WordPress using a blueprint that can enable IPv6 only.

profile picture
EXPERT
answered 4 months ago
0

Hi,

Thank you for your feedback.

Most Bitnami WordPress plugins and themes require a public IPv4 address and hence the WordPress Blueprint is currently unsupported on the non-IPv4 bundles.

Also many of the clients or users of your WordPress website are likely to not have an IPv6-compatible internet setup until there's wider IPv6 adoption.

We hope you are able to continue using Lightsail.

Thanks.

profile pictureAWS
EXPERT
AWS-SUM
answered 4 months ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions